version: '3'

services:
  app:
    container_name: ci-app
    build: ./Dockerfile
    image: arm64v8/php:5.6-apache
    # image: php:5.6-apache
    depends_on:
      - mysql
    volumes:
      - ./:/var/www/html
    working_dir: /var/www/html
    ports:
      - 6060:80

  mysql:
    image: arm64v8/mysql:8.0-oracle
    # image: mysql:8.0-oracle
    container_name: ci-app-mysql
    volumes:
      - ./mysql:/var/lib/mysql
    environment:
      - MYSQL_ROOT_PASSWORD=rootpassword
      - MYSQL_DATABASE=codeigniter
      - MYSQL_USER=user
      - MYSQL_PASSWORD=password
